Bug 429086 - Review Request: sonic-visualiser - A program for viewing and exploring audio data
Review Request: sonic-visualiser - A program for viewing and exploring audio ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On: 429084 429085
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 01:27 EST by Michel Alexandre Salim
Modified: 2008-02-20 16:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 16:54:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-01-17 01:27:23 EST
Spec URL: http://salimma.fedorapeople.org/for_review/music/sonic-visualiser.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/music/sonic-visualiser-1.0-1.fc8.src.rpm
Description:
Sonic Visualiser is an application for viewing and analysing the
contents of music audio files.

The aim of Sonic Visualiser is to be the first program you reach for
when want to study a musical recording rather than simply listen to
it.

As well as a number of features designed to make exploring audio data
as revealing and fun as possible, Sonic Visualiser also has powerful
annotation capabilities to help you to describe what you find, and the
ability to run automated annotation and analysis plugins in the Vamp
analysis plugin format – as well as applying standard audio effects.
Comment 1 Hans de Goede 2008-01-27 04:43:54 EST
Doing a full review of this and bug 429084, please review bug 366841 and 427077
in return.
Comment 2 Hans de Goede 2008-01-27 04:47:08 EST
Make that:
Doing a full review of this and bug 430307, please review bug 366841 and bug
427077 in return.

As bug 429084 already is being reviewed by someone else :)
Comment 3 Hans de Goede 2008-01-27 05:23:22 EST
Full review done:

MUST FIX:
---------

* License is wrong, should be GPLv2+
* Icon file should go to /usr/share/icons/hicolor/48x48/apps (per
  freedesktop.org icon standard), you should then also add a: "Requires
  hicolor-icon-theme" for directory ownership and icon cache update scriplets
  as listed here: 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda
* rpmlint says:
  sonic-visualiser.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab:
line 11)

Other then that its fine.
Comment 4 Michel Alexandre Salim 2008-01-27 10:15:14 EST
Fixed, thanks:
http://salimma.fedorapeople.org/for_review/music/sonic-visualiser-1.0-2.fc9.src.rpm
Comment 5 Parag AN(पराग) 2008-01-28 02:03:39 EST
above is not building because of
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 -p sv/icons/sv-48x48.png
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/apps/sonic-visualiser.png

Comment 6 Hans de Goede 2008-01-28 03:47:16 EST
(In reply to comment #5)
> above is not building because of
> mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
> install -m 644 -p sv/icons/sv-48x48.png
> $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/apps/sonic-visualiser.png
> 

Also the destination should be:
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/sonic-visualiser.png

Notice the 48x48 in the destionation!
Comment 7 Michel Alexandre Salim 2008-01-28 15:52:59 EST
Woops, yes. Must be sleeping when I made the change (the files section was fine,
for instance)

Fixed, same URL.
Comment 8 Hans de Goede 2008-01-30 04:54:34 EST
Looks good now, approved!
Comment 9 Michel Alexandre Salim 2008-01-30 12:57:02 EST
Thanks both, for a very thorough review!

New Package CVS Request
=======================
Package Name: sonic-visualiser
Short Description: A program for viewing and exploring audio data
Owners: salimma
Branches: EL-5 F-7 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 10 Kevin Fenzi 2008-01-30 15:33:03 EST
cvs done.
Comment 11 Michel Alexandre Salim 2008-02-20 16:54:05 EST
Update: sonic-visualiser has been in Rawhide for a few days. Holding back on doing F-8 build because of 
a missing dependency in the first version of libfishsound I built, that s-v uses. Waiting until that enters 
stable first.

Note You need to log in before you can comment on or make changes to this bug.